**FinnWarsLauncher**
==================

![picture](https://git.huitsinnevada.fi/NikkeDoy/FinnWarsLauncher/raw/branch/main/assets/repository/application-window.webp)

Table of Contents
-----------------

1. [Introduction](#introduction)
2. [Requirements](#requirements)
3. [Installation](#installation)
4. [Usage](#usage)
5. [Troubleshooting](#troubleshooting)
6. [Contributing](#contributing)

### GOOD TO KNOW / Hyvä tietää
[EN]
#### FinnWarsLauncher is an EXPERIMENTAL LAUNCHER and does NOT work properly on all systems, so be patient if your faced problem doesn't get resolved immediately!!!

[FI]
#### FinnWarsLauncher on KOKEELLINEN OHJELMA ja se EI toimi oikein kaikilla järjestelmillä, joten ota rennosti jos löytämääsi ongelmaa ei korjata silmänräpäyksessä!!!


### Introduction / Esittely
[EN]
FinnWarsLauncher is a graphical user interface (GUI) application designed to launch the FinnWars game with custom server address and username settings.

[FI]
FinnWarsLauncher on käyttöliittymäaplikaatio suunniteltu käynnistämään FinnWars-modilla varustettu Battlefield 1942 peli ja liittymään annetulle palvelimelle halutulla käyttäjänimellä-

### Requirements / Vaatimukset
* Python 3.12.x or newer
* TKinter installed via distributions package manager (Linux things...)
  Some Linux distributions require installing tkinter/tk via package manager.
  Arch linux / EndeavourOS / Manjaro / etc...:
  ´´´
  sudo pacman -S tk
  ```
  Debian / Ubuntu / Linux Mint / etc...:
  ```
  sudo apt install tk
  ```
  aaand others you probably can figure out yourself :)

### Installation from source / Asennus lähdekoodista

Some distributions use `python3` instead of `python` so keep that in mind!
0. ^ Install requirements ^
1. Clone repository:
  ```
  git clone https://git.huitsinnevada.fi/NikkeDoy/FinnWarsLauncher.git
  ```
2. Install packages (preferably to fresh virtual environment)
  ```
  # Create virtual environment named `venv`
  python -m venv venv
  source venv/bin/activate

  # Install packages
  pip install -r requirements.txt
  ```
3. Run the application with:
  ```
  python main.py
  ```

### Usage

1. Launch the application by running `python finnwarlauncher.py`
2. Enter a valid server address in the "Server Address" field (e.g., `23.88.63.235:14572`)
3. Enter a username in the "Username" field (max 16 characters)
4. Click the "Save" button to save your preferences for future launches
5. Click the "Launch" button to launch the FinnWars game with your custom settings

### Troubleshooting

* If you encounter issues with launching the game, ensure that the `bottles-cli` command-line tool is installed and configured correctly on your
system.
* If you experience problems with saving preferences, check that the userdata module is functioning correctly.

### Contributing

Contributions to this project are welcome! Please submit pull requests or issues on the GitHub repository.
